Archived:Can I Install Windows Embedded 7 SP1 or 8 on the TPC-2212?

Updated May 4, 2021

NI does not actively maintain this document.

This content provides support for older products and technology, so you may notice outdated links or obsolete information about operating systems or other relevant products.

Reported In

Hardware

  • TPC-2212

Operating System

  • Windows Embedded Standard (WES)

Issue Details

We recently upgraded to LabVIEW 2016 or later and have a TPC-2212 with a LabVIEW application that needs to be updated. When attempting to update, the installer said Windows Embedded Standard (WES) 7 SP1 is required. Can NI provide me an image for WES 7 SP1 or 8 so I can put a newer version of LabVIEW on the TPC?

Solution

The NI TPC-2212 is an older touch panel controller that, according to our official support page, does not support LabVIEW 2016 or later. NI will not be able to provide a custom WES 7 SP1 or 8 image for this device.

Additional Information

As long as the minimum system requirements are satisfied, you will likely be able to install your own image of WES 7 SP1 or 8 from Microsoft on the TPC-2212. However, this image will be missing certain packages that may limit functionality of LabVIEW and other NI software on the touch panel controller. This is not a supported or recommended configuration.